Bug 1016443 - Imagefactory openstack plugin doesn't work with openstack grizzly and later version.
Imagefactory openstack plugin doesn't work with openstack grizzly and later v...
Status: CLOSED NOTABUG
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: imagefactory (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Perry Myers
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 03:53 EDT by Hao Chang Yu
Modified: 2015-03-20 13:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-20 13:47:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for openstack (7.44 KB, patch)
2013-10-08 03:53 EDT, Hao Chang Yu
no flags Details | Diff
patch for openstack with backward compatibility (7.44 KB, patch)
2013-11-08 01:27 EST, Hao Chang Yu
no flags Details | Diff

  None (edit)
Description Hao Chang Yu 2013-10-08 03:53:31 EDT
Created attachment 809162 [details]
patch for openstack

Description of problem:
It seems like starting from Grizzly, Openstack had glanceclient built in a separated package called python-glanceclient. Therefore, trying to do the following import in the codes will failed.

'from glance import client as glance_client'

I had attached my patch for this bug. Feel free to review it.


Version-Release number of selected component (if applicable):
1.1.3

How reproducible:
Install Openstack Grizzly


Actual results:
Failed to upload image to glance

Expected results:
Upload image to glance successfully
Comment 2 Hao Chang Yu 2013-11-08 01:27:46 EST
Created attachment 821430 [details]
patch for openstack with backward compatibility

Note You need to log in before you can comment on or make changes to this bug.